## python-trubar 0.3.4

=== requirements.txt ===
libcst
pyyaml

=== debian/changelog ===
python-trubar (0.3.4-3) unstable; urgency=medium

  * Team upload.
  * Build-depend on python3-setuptools (closes: #1100291).

 -- Colin Watson <cjwatson@debian.org>  Fri, 14 Mar 2025 14:57:59 +0000

python-trubar (0.3.4-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Sat, 01 Feb 2025 16:44:18 +0100

python-trubar (0.3.4-1) unstable; urgency=low

  * Initial packaging (Closes: #1094280).

 -- Roland Mas <lolando@debian.org>  Sun, 26 Jan 2025 19:12:49 +0100

=== debian/control ===
Source: python-trubar
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-libcst,
 python3-pytest <!nocheck>,
 python3-setuptools,
Standards-Version: 3.9.6
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/janezd/trubar
Vcs-Git: https://salsa.debian.org/python-team/packages/python-trubar.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-trubar

Package: python3-trubar
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Utility for translation of Python sources
 A tool for localization of Python messages via translating source
 files.
 .
 Trubar supports f-strings and does not require any changes to the
 original source code, such as marking strings for translation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_TEST_ARGS=-k 'not test_walk_files'

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/janezd/trubar/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
